Bug 6765 - smbd needs to optionally announce SPARSE_FILES in qfsinfo
smbd needs to optionally announce SPARSE_FILES in qfsinfo
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: File services
3.4.1
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-26 09:11 UTC by Volker Lendecke
Modified: 2009-10-02 04:58 UTC (History)
0 users

See Also:
metze: review+


Attachments
patch (2.65 KB, patch)
2009-09-29 07:40 UTC, Volker Lendecke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2009-09-26 09:11:09 UTC
I've come across a load balancing and share management proxy that insists on Samba to announce SPARSE_FILES in the trans2 qfsinfo calls. a5cace128d from master implements the parameter share:fake_fscaps. By setting this to 64, we announce the required flag. I'd like to have this in 3.4.2.

Jeremy, can you support & ack this?

Thanks,

Volker
Comment 1 Stefan Metzmacher 2009-09-28 08:29:47 UTC
Looks good to me...

metze
Comment 2 Jeremy Allison 2009-09-28 11:51:00 UTC
+1 from me.
Jeremy.
Comment 3 Björn Jacke 2009-09-28 21:08:58 UTC
shouldn't we ship one or two lines of documentation along with this?
Comment 4 Volker Lendecke 2009-09-28 23:50:21 UTC
This is deliberately undocumented (as are all parametric options), as you can probably cause a lot of trouble if you use it wrongly. And in 15 years of Samba, this is the first time I've come across a need to do it.
Comment 5 Björn Jacke 2009-09-29 05:25:07 UTC
are there parametic options that are not documented? ldapsam:trusted ldapsam:editposix are two examples of non-vfs parametric options that can be found in smb.conf(5).
I really think undocumented options should be considered to be a bug, even undocumented parametic options. But if I'm the only one who thinks so, I'll stop complaining now :-)
Comment 6 Volker Lendecke 2009-09-29 05:43:02 UTC
My vote would be to not document it. Metze and Jeremy acked it without asking for documentation. We need to ship this for 3.4.2. So from my point of view the formal requirements have been met.

Karolin, do you agree or do we need to document all parametric options before the next release?

Volker
Comment 7 Karolin Seeger 2009-09-29 06:36:42 UTC
(In reply to comment #6)
> My vote would be to not document it. Metze and Jeremy acked it without asking
> for documentation. We need to ship this for 3.4.2. So from my point of view the
> formal requirements have been met.
> 
> Karolin, do you agree or do we need to document all parametric options before
> the next release?

I agree as most of the parametric options are not documented. We can add documentation later on. 

Comment 8 Volker Lendecke 2009-09-29 07:24:02 UTC
Ok, I was told in a private channel that I'm wrong. I'll update the patch soon.

Volker
Comment 9 Volker Lendecke 2009-09-29 07:40:23 UTC
Created attachment 4755 [details]
patch

Patchset from master. This is two patches as it is also so in master. If needed, I can merge them to one.
Comment 10 Karolin Seeger 2009-10-02 04:58:50 UTC
Pushed to v3-4-test, will be included in 3.4.3.
Closing out bug report.

Thanks!